Reddit
One cited Reddit post with its text and the prompts citing it.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidpageId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200topics?stringComma-separated topic ids
length <= 2000countries?stringComma-separated ISO country codes, lowercase
length <= 1000competitors?stringComma-separated competitor ids; responses mentioning any
length <= 2000from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date; omit for today
^\d{4}-\d{2}-\d{2}$The post
application/jsonpost*prompts*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/social/reddit/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "post": { "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809", "url": "string", "community": "string", "title": "string", "author": "string", "body": "string", "publishedAt": "2019-08-24T14:15:22Z", "fetched": true, "citations": 0, "average": 0 }, "prompts": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "type": "string", "intent": "string", "citations": 0, "average": 0 } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/social/reddit/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08'{
"post": {
"pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",
"url": "string",
"community": "string",
"title": "string",
"author": "string",
"body": "string",
"publishedAt": "2019-08-24T14:15:22Z",
"fetched": true,
"citations": 0,
"average": 0
},
"prompts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"text": "string",
"type": "string",
"intent": "string",
"citations": 0,
"average": 0
}
]
}